Page MenuHomePhabricator

Upgrade elasticsearch and plugins to 2.3.5
Closed, ResolvedPublic

Description

The upgrade includes:

  • elasticsearch deployment-prep
  • relforge
  • deployment-logstash
  • logstash
  • cirrus codfw
  • cirrus eqiad

Event Timeline

dcausse created this task.Sep 12 2016, 3:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2016, 3:19 PM
Gehel renamed this task from Upgrade elasticsearch plugins to 2.3.5 to Upgrade elasticsearch and plugins to 2.3.5.Sep 12 2016, 3:28 PM
Gehel updated the task description. (Show Details)

Change 310038 had a related patch set uploaded (by DCausse):
Upgrade elasticsearch plugins to 2.3.5

https://gerrit.wikimedia.org/r/310038

Gehel added a subscriber: Gehel.Sep 12 2016, 5:34 PM

Change 309975 had a related patch set uploaded (by DCausse):
Upgrade to elastic 2.3.5

https://gerrit.wikimedia.org/r/309975

Gehel updated the task description. (Show Details)Sep 13 2016, 7:53 AM

Change 310038 merged by Gehel:
Upgrade elasticsearch plugins to 2.3.5

https://gerrit.wikimedia.org/r/310038

Change 309975 merged by jenkins-bot:
Upgrade to elastic 2.3.5

https://gerrit.wikimedia.org/r/309975

Gehel claimed this task.Sep 14 2016, 9:41 AM
Gehel triaged this task as High priority.
Gehel updated the task description. (Show Details)
Gehel added a comment.Sep 14 2016, 1:17 PM

elasticsearch 2.3.5 has been uploaded to reprepro (our apt repository).

Mentioned in SAL (#wikimedia-releng) [2016-09-14T13:28:40Z] <gehel> upgrading deployment-logstash2 to elasticsearch 2.3.5 - T145404

Mentioned in SAL (#wikimedia-operations) [2016-09-14T13:33:38Z] <gehel> upgrading logstash to elasticsearch 2.3.5 - T145404

Gehel updated the task description. (Show Details)Sep 14 2016, 2:26 PM

Mentioned in SAL (#wikimedia-operations) [2016-09-14T14:26:20Z] <gehel> upgrading elasticsearch codfw to elasticsearch 2.3.5 - T145404

Mentioned in SAL (#wikimedia-operations) [2016-09-14T14:30:15Z] <gehel> increasing delayed allocation to 10m on elasticsearch codfw to speed up cluster restart - T145404

Mentioned in SAL (#wikimedia-operations) [2016-09-16T12:24:47Z] <gehel> rolling restart of codfw elasticsearch cluster completed - T145404

Gehel updated the task description. (Show Details)Sep 16 2016, 12:25 PM

Mentioned in SAL (#wikimedia-operations) [2016-09-20T13:28:18Z] <gehel> restarting for elasticsearch and kernel upgrade - eqiad cluster - T145404 / T146123

Mentioned in SAL (#wikimedia-operations) [2016-09-20T16:48:53Z] <gehel> increase recovery bandwidth on elasticsearch eqiad to match codfw - T145404

Mentioned in SAL (#wikimedia-operations) [2016-09-21T09:19:44Z] <gehel> powercycling elastic1027 - T145404

Mentioned in SAL (#wikimedia-operations) [2016-09-22T09:19:45Z] <gehel> upgrade / restart of elasticsearch eqiad cluster done T145404 / T146123

Gehel updated the task description. (Show Details)Sep 22 2016, 9:20 AM
debt closed this task as Resolved.Sep 23 2016, 9:09 PM